# InstanceFollower class

(Shortest import: `from brian2.core.tracking import InstanceFollower)`

class brian2.core.tracking.InstanceFollower

  Bases: `object`

  Keep track of all instances of classes derived from `Trackable`

  The variable `__instancesets__` is a dictionary with keys which are class objects, and values which are `InstanceTrackerSet`, so `__instanceset__[cls]` is a set tracking all of the instances of class `cls` (or a subclass).

  Methods

  `add`(value) |
  `get`(cls) |

  Details

  add(value)
  get(cls)